﻿@{
    Layout = null;

    var providerTitle = "Providers";

    if (Jumbula.Web.WebLogic.UserService.JbUserService.GetCurrentClubDomain() == Jumbula.Common.Constants.Constants.YoungRembrandstDomain)
    {
        providerTitle = "Franchise/Branches";
    }

}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-if="type =='Schools'">
                Schools
            </h1>
            <h1 ng-if="type =='Providers'">
                @providerTitle
            </h1>
        </div>
        <div class="actions">
            <a ng-if="type =='Providers'" ui-sref='ClubManage({clubId:0,type:"Provider"})' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add provider">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
            <a ng-if="type =='Schools'" ui-sref='ClubManage({clubId:0,type:"School"})' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add school">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <form novalidate="" ng-submit="search()">
        <div class="grid fluid">
            <div class="row">
                <div class="span3">
                    <label for="filter.typeId">Type</label>
                    <div class="input-control select" data-role="input">
                        <select ng-model="filter.FilterTypes" ng-options="obj.Value as obj.Text for obj in Model.FilterTypes"></select>
                    </div>
                </div>
                <div class="span9">
                    <div class="span7" ng-show="filter.FilterTypes != 'ExpirationDate'">
                        <div>
                            <label for="searchDiscountName" style="margin-bottom:29px"></label>
                            <div class="input-control text" data-role="input-control" style="width: 89%;">
                                <input ng-model="searchTerm" id="searchClubName" type="text" placeholder="Enter">
                            </div>
                            <button class="button primary place-right" id="btn-searchName" type="submit" style="width:8%;height: 34px; padding: 0;"><i class="jbi-search"></i></button>
                        </div>

                    </div>
                    <div class="span9" ng-show="filter.FilterTypes=='ExpirationDate'">
                        <div class="place-left padding-right20" style="width: 36% !important;padding-right: 12px;">
                            <label for="filter.startDate">From</label>
                            <div class="input-control date-time" data-role="input-control">
                                <input id="filter.startDate" ng-model="filter.startDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                        <div class="place-left padding-right20" ng-if="filter.FilterTypes=='ExpirationDate'" style="width: 44% !important;">
                            <label for="filter.endDate">To</label>
                            <div class="input-control date-time" data-role="input-control" style="width:80%;">
                                <input id="filter.endDate" ng-model="filter.endDate" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                            <button class="button primary place-right" id="btn-searchDate"  type="submit" style="width: 15%; height: 34px; padding: 0;"><i class="jbi-search"></i></button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Organization active type</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="filter.activeType" ng-options="obj.Value as obj.Title for obj in activeType" ng-change="search()"></select>
            </div>
        </div>

        <div class="clearfix"></div>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>
    <div class="clearfix"></div>
    <br />

    <div class="wrapper2 InvoiceGrid">
        <div class="div2">
            <kendo-grid id="mainGrid" options="mainGridOptions"> </kendo-grid>
        </div>
    </div>
</div>
